REQUIRED module missing: NetAddr::IP


Enter Your Query:
Use '%' for wildcards and quotes for "exact phrases"


Top Level » Email » Spam
Top Level » System Level » Perl

REQUIRED module missing: NetAddr::IPLast Modified: Oct 5, 2011, 10:05 pm
If you get the error:

Can't locate NetAddr/IP.pm in @INC

then run:

wget http://www.cpan.org/modules/by-module/NetAddr/NetAddr-IP-4.078.tar.gz
tar xvzf NetAddr-IP-4.078.tar.gz
cd NetAddr-IP-4.078
perl Makefile.PL
make
make install

If you have cpan installed, an even easier way is to simply type:

cpan -i NetAddr::IP

and it will install any dependencies for this, if required.  If it asks:

Shall I follow them and prepend them to the queue
of modules we are processing right now? [yes]

always answer yes (either type it and press enter, or just press enter) so that the required modules are installed.
 
Related Helpfiles
How to enable SpamAssassin on your server.

© 2018 JBMC Software, Suite 173  3-11 Bellerose Drive, St Albert, AB  T8N 1P7  Canada.  Mon-Fri 9AM-5PM MST